*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 09043
*           POLICY RESEARCH ON AGING AND MENTAL HEALTH SERVICES
*                             (PRAMHS) PROJECT
*               (DATASET 0004: STATE MENTAL HEALTH AGENCIES)
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\09043-0004-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da09043-0004.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=75.
DATA LIST FILE=DATA /
              CASEID 1-2                  V5 3-4                    V6 5
                  V7 6-7                 V8 8-13                V9 14-16
               V10 17-18               V11 19-21               V12 22-24
                  V13 25                  V14 26                  V15 27
                  V16 28                  V17 29                  V18 30
                  V19 31                  V20 32                  V21 33
                  V22 34                  V23 35                  V24 36
                  V25 37                  V26 38                  V27 39
                  V28 40                  V29 41                  V30 42
                  V31 43                  V32 44                  V33 45
                  V34 46                  V35 47                  V36 48
                  V37 49                  V38 50                  V39 51
                  V40 52                  V41 53                  V42 54
                  V43 55                  V44 56                  V45 57
                  V46 58                  V47 59                  V48 60
                  V49 61                  V50 62                  V51 63
                  V52 64                  V53 65                  V54 66
                  V55 67                  V56 68                  V57 69
                  V58 70                  V59 71                  V60 72
                  V61 73                  V62 74                  V63 75

   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'ICPSR SEQUENTIAL CASE ID' /
   V5        'STCODE' /
   V6        'SRVCODE' /
   V7        'AGENCY' /
   V8        'BUDGET' /
   V9        'STFPRO' /
   V10       'STFSPT' /
   V11       'GRDGE' /
   V12       'SEMWHSP' /
   V13       'FRMPRV' /
   V14       'FREQCON' /
   V15       'CRDMHSUA' /
   V16       'LIAISN' /
   V17       'MHSPEC' /
   V18       'PRTMHPS' /
   V19       'SUAPTMHP' /
   V20       'MHPTSAP' /
   V21       'INTSUF' /
   V22       'INSTDCL' /
   V23       'TYPLCMT' /
   V24       'CMHCSAT' /
   V25       'STINT' /
   V26       'AGT3' /
   V27       'POLAWE' /
   V28       'PRGSPT' /
   V29       'GVTRSP' /
   V30       'CMHCLST' /
   V31       'SPTINF' /
   V32       'SPTLI' /
   V33       'SPTLS' /
   V34       'SPTOT' /
   V35       'MECHN' /
   V36       'MECHPH' /
   V37       'MECHLB' /
   V38       'MECHAG' /
   V39       'POSINAC' /
   V40       'STFCHARA' /
   V41       'STFCHARB' /
   V42       'STFCHARC' /
   V43       'ECOFACA' /
   V44       'ECOFACB' /
   V45       'ECOFACC' /
   V46       'POLFACA' /
   V47       'POLFACB' /
   V48       'POLFACC' /
   V49       'SYSFACA' /
   V50       'SYSFACB' /
   V51       'SYSFACC' /
   V52       'SOCISSA' /
   V53       'SOCISSB' /
   V54       'SOCISSC' /
   V55       'Q1105' /
   V56       'Q1206' /
   V57       'Q1307' /
   V58       'Q1712' /
   V59       'Q1811' /
   V60       'Q2313' /
   V61       'Q2423' /
   V62       'Q2524' /
   V63       'Q2726' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   CASEID    1 'Unique case id' 28 'Unique case id' /
   V5        1 'Alabama' 2 'Alaska' 3 'Arizona' 4 'Arkansas' 5 'California'
             6 'Colorado' 7 'Connecticut' 8 'Delaware'
             9 'District of Columbia' 10 'Florida' 11 'Georgia' 12 'Hawaii'
             13 'Idaho' 14 'Illinois' 15 'Indiana' 16 'Iowa' 17 'Kansas'
             18 'Kentucky' 19 'Louisiana' 20 'Maine' 21 'Maryland'
             22 'Massachusetts' 23 'Michigan' 24 'Minnesota' 25 'Mississippi'
             26 'Missouri' 27 'Montana' 28 'Nebraska' 29 'Nevada'
             30 'New Hampshire' 31 'New Jersey' 32 'New Mexico' 33 'New York'
             34 'North Carolina' 35 'North Dakota' 36 'Ohio' 37 'Oklahoma'
             38 'Oregon' 39 'Pennsylvania' 40 'Rhode Island'
             41 'South Carolina' 42 'South Dakota' 43 'Tennessee' 44 'Texas'
             45 'Utah' 46 'Vermont' 47 'Virginia' 48 'Washington'
             49 'West Virginia' 50 'Wisconsin' 51 'Wyoming'
             52 'American Samoa' 53 'Guam' 54 'Puerto Rico'
             55 'Virgin Islands' 56 'Marianna Islands'
             57 'North Marianna Islands' /
   V6        1 'Area Agency on Aging' 2 'State Unit on Aging'
             3 'Community Mental Health Centers'
             4 'State Mental Health Agency' /
   V7        1 'Agency identification code' 54 'Agency identification code' /
   V8        110 'Thousand dollars' 815077 'Thousand dollars' 999999 'N/A' /
   V9        2 'Two professional staff' 99 'Ninety nine professional staff'
             999 'N/A' /
   V10       0 'None' 89 'Eighty nine support staff' 99 'N/A' /
   V11       20 'Twenty percent' 99 'Ninety nine percent' 999 'N/A' /
   V12       0 'None' 99 'Ninety nine percent' 999 'N/A' /
   V13       1 'Other' 2 'No formal provision' 3 'Letter of cooperation'
             4 'Interagency agreement' 9 'N/A' /
   V14       1 'No contact' 2 'Less often' 3 'Monthly' 4 'Weekly' 9 'N/A' /
   V15       1 'Not at all' 2 'Adequately' 3 'Well' 9 'N/A' /
   V16       1 'Yes' 2 'No' 9 'N/A' /
   V17       1 'Yes' 2 'No' 9 'N/A' /
   V18       1 'Yes' 2 'No' 9 'N/A' /
   V19       1 'No involvement' 2 'Information' 3 'Review and comment'
             4 'Joint planning session' 9 'N/A' /
   V20       1 'No involvement' 2 'Information' 3 'Review and comment'
             4 'Joint planning sessions' 9 'N/A' /
   V21       1 'Yes' 2 'No' 9 'N/A' /
   V22       1 'Yes' 2 'No' /
   V23       1 'Home' 2 'Nursing home' 3 'Congregate housing' 4 'Foster care'
             5 'Other' /
   V24       1 'Yes' 2 'No' 9 'N/A' /
   V25       1 'Yes' 2 'No' 9 'N/A' /
   V26       1 'Yes' 2 'No' 9 'N/A' /
   V27       1 'Not at all' 2 'Limited' 3 'Moderately' 4 'Greatly' 9 'N/A' /
   V28       1 'Yes' 2 'No' 9 'N/A' /
   V29       1 'Not responsive' 2 'Moderately responsive' 3 'Very responsive'
             9 'N/A' /
   V30       1 'Yes' 2 'No' /
   V31       1 'Insufficient funds' 9 'N/A' /
   V32       2 'Lack of interest' 9 'N/A' /
   V33       3 'Limited skills' 9 'N/A' /
   V34       4 'Other reasons' 9 'N/A' /
   V35       1 'No mechanism used to influence' 9 'N/A' /
   V36       2 'Use public hearing to influence' 9 'N/A' /
   V37       3 'Use lobbying to influence' 9 'N/A' /
   V38       4 'Use advocacy groups' 9 'N/A' /
   V39       1 'If positive' 2 'If negative' 9 'N/A' /
   V40       1 'Informal, personal relations, familiari'
             2 'Attitudes, awareness, interest' 3 'Knowledge and information'
             4 'Stability - turnover' 5 'Time and resources-mismanagement'
             6 'Training' 9 'N/A' /
   V41       1 'Informal, personal relations, familiari'
             2 'Attitudes, awareness, interest' 3 'Knowledge and information'
             4 'Stability - turnover' 5 'Time and resources-mismanagement'
             6 'Training' 9 'N/A' /
   V42       1 'Informal, personal relations, familiari'
             2 'Attitudes, awareness, interest' 3 'Knowledge and information'
             4 'Stability - turnover' 5 'Time and resources-mismanagement'
             6 'Training' 9 'N/A' /
   V43       1 'Funding sources differ' 2 'Lack of resources-mismanagement'
             3 'Contract for services' 4 'OAA does not fund MH services'
             9 'N/A' /
   V44       1 'Funding sources differ' 2 'Lack of resources-mismanagement'
             3 'Contract for services' 4 'OAA does not fund MH services'
             9 'N/A' /
   V45       1 'Funding sources differ' 2 'Lack of resources'
             3 'Contract for services' 4 'OAA does not fund MH services'
             9 'N/A' /
   V46       1 'Medical Model vs. Social Services Model'
             2 'Higher level decisions' 3 'Confidentiality'
             4 'MH lack of outreach' 5 'Either MH or elderly not priority'
             6 'Good intentions-anticipated' 9 'N/A' /
   V47       1 'Medical Model vs. Social Services Model'
             2 'Higher level decisions' 3 'Confidentiality'
             4 'MH lack of outreach' 5 'Either MH or elderly not priority'
             6 'Good intentions-anticipated' 9 'N/A' /
   V48       1 'Medical Model vs. Social Services Model'
             2 'Higher level decisions' 3 'Confidentiality'
             4 'MH lack of outreach' 5 'Either MH or elderly not priority'
             6 'Good intentions-anticipated' 9 'N/A' /
   V49       1 'Communications (contact) no routine'
             2 'Organization Competition' 3 'Formal linkages'
             4 'Newness of agency' 5 'Proximity, co-location'
             6 'Other (agency closed CMHC)' 9 'N/A' /
   V50       1 'Communications (contact) no routine'
             2 'Organization Competition' 3 'Formal linkages'
             4 'Newness of agency' 5 'Proximity, co-location'
             6 'Other (agency closed CMHC)' 9 'N/A' /
   V51       1 'Communications (contact) no routine'
             2 'Organization Competition' 3 'Formal linkages'
             4 'Newness of agency' 5 'Proximity, co-location'
             6 'Other (agency closed CMHC)' 9 'N/A' /
   V52       1 'Stigma of mental illness' 2 'Stigma of elderly'
             3 'Elderly powerless and unorganized'
             4 'Other (community disinterest...)' 9 'N/A' /
   V53       1 'Stigma of mental illness' 2 'Stigma of elderly'
             3 'Elderly powerless and unorganized'
             4 'Other (community disinterest...)' 9 'N/A' /
   V54       1 'Stigma of mental illness' 2 'Stigma of elderly'
             3 'Elderly powerless and unorganized'
             4 'Other (community disinterest...)' 9 'N/A' /
   V55       1 'Incongruent by 2' 2 'Incongruent by 1'
             3 'Both answered no formal provision'
             4 'Both answered letter of cooperation'
             5 'Both answered interagency agreement' 7 'Other' 9 'N/A' /
   V56       1 'Incongruent by 3' 2 'Incongruent by 2' 3 'Incongruent by 1'
             4 'Both answered no contact' 5 'Both answered less often'
             6 'Both answered monthly' 7 'Both answered weekly' 9 'N/A' /
   V57       1 'Incongruent by 2' 2 'Incongruent by 1'
             3 'Both answered not at all' 4 'Both answered adequately'
             5 'Both answered well' 9 'N/A' /
   V58       1 'Incongruent by 3' 2 'Incongruent by 2' 3 'Incongruent by 1'
             4 'Both answered no involvement' 5 'Both answered information'
             6 'Both answered review and comment'
             7 'Both answered joint planning sessions' 9 'N/A' /
   V59       1 'Incongruent by 3' 2 'Incongruent by 2' 3 'Incongruent by 1'
             4 'Both answered no involvement' 5 'Both answered information'
             6 'Both answered review and comment'
             7 'Both answered joint planning sessions' 9 'N/A' /
   V60       1 'Yes/no' 2 'No/no' 3 'Yes/Yes' 9 'N/A' /
   V61       1 'Incongruent by 3' 2 'Incongruent by 2' 3 'Incongruent by 1'
             4 'Both answered not at all' 5 'Both answered limited'
             6 'Both answered moderate' 7 'Both answered great' 9 'N/A' /
   V62       1 'Yes/no' 2 'No/no' 3 'Yes/yes' 9 'N/A' /
   V63       1 'Incongruent by 2' 2 'Incongruent by 1' 3 'Both answered not'
             4 'Both answered moderately' 5 'Both answered very' 9 'N/A' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     V13
     V14
     V15
     V16
     V17
     V18
     V19
     V20
     V21
     V24
     V25
     V26
     V27
     V28
     V29
     V31
     V32
     V33
     V34
     V35
     V36
     V37
     V38
     V39
     V40
     V41
     V42
     V43
     V44
     V45
     V46
     V47
     V48
     V49
     V50
     V51
     V52
     V53
     V54
     V55
     V56
     V57
     V58
     V59
     V60
     V61
     V62
     V63 (9) /
     V10 (99) /
     V9
     V11
     V12 (999) /
     V8 (999999) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
